MinovaEasy - Feature #2935

Validasi Overtime Web
07/30/2024 10:11 AM - jihad ....

Status: Closed Start date: 07/30/2024
Priority: Urgent Due date: 09/06/2024
Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 11.50 hours
Description

Dear Mas Azid,

Mas Azid, mau dibuat validasi dong mas untuk form overtime di web dan di mobile. berikut penjelasannya:
- start time dan end time tidak boleh di jam working day kecuali pada saat day type nya OFF

contoh:

jam kerja jam 08:00 - 17:00

maka
start time tidak boleh jam 16:00
end time juga tidak boleh sampai jam 09:00

- Ketika end time melebihi jam 00:59 maka date to dibuat blank dan mandatory (dengan tujuan untuk user isi lagi dan untuk load
duration lagi)

- Overtime Type ingin dibuat autoload dan readonly, dengan autoload:
ketika start timenya setelah jam working day maka "After Work Schedule”
ketika start timenya sebelum jam working dat maka "Before Work Schedule"
ketika day type nya off maka overtime typenya "After Work Schedule”

- User hanya bisa membuat 2 overtime hanya kalau overtime typenya berbeda, jika sama maka tidak bisa save

segini dulu mas, nanti ketika sudah maka ada kondisi lagi
jika kurang jelas tanyakan langsung aja mas biar aku jelasin secara langsung

Menu web dan mobile: Overtime
Port: http://easy.minovais.com
Server: 89

DB: MinovaES_Easy

Terima kasih.

History

#1 - 07/30/2024 12:24 PM - Kezia Pawitra Yulianti
- Due date set to 08/02/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

koreksi sedikit:

- Ketika end time melebihi jam 00:00 maka date to nya tidak boleh sama dgn date from dan field date to nya untuk dibuat blank lagi dan mandatory
terisi (dengan tujuan untuk user isi lagi dan untuk load duration lagi).

#2 - 08/08/2024 03:57 PM - Regina Tasya
- Subject changed from Validasi Overtime Web dan Mobile to Validasi Overtime Web

#3 - 08/09/2024 10:52 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to jihad ....
dear jihad , udah bisa di test ya

note : untuk validasi ini User hanya bisa membuat 2 overtime hanya kalau overtime typenya berbeda, jika sama maka tidak bisa save
sekalian aja di tambahin dikondisi2 yang baru nanti

makasih

#4 - 08/12/2024 02:29 PM - Regina Tasya

- File clipboard-202408121405-jjilx.png added

- File clipboard-202408121410-opwyi.png added

- File clipboard-202408121424-j4esj.png added

dear mas ajid,

ada beberapa hal yang masih belum sesuai seperti :

1. jika request overtime di jam working day namun lewat 08:01 akan mendapatkan validasi ini sudah bener namun seharusnya jam 08.00 juga ada
validasiny.

jadi untuk ini ingin di setting jam 08:00 juga ada validasinya dia tidak bisa input di jam working day
contoh tampilan

Main

Date From: 12/08/2024 Day Type: Working Day
Date To: 12/08/2024 Day Before Flag: NO

Start Time: 08:00 Reason

End Time: 12-:00

Duration: a

Overtime Type: After Work Schedule

2. ini belum ada validasinya, ingin ada validasi untuk end time. harusnya tidak bisa diinput karna masih di jam kerjanya, harusnya batas end time
yang bisa diinput jam terakhir sebelum working day dimulai . contoh working day mulai di jam 08.00 maka batas terakhir untuk input end time
untuk lemburnya 07:59

Date From: 12/08/2024 Day Type: Working Day
Date To 12/08/2024 Day Before Flag: NO

ISte;-'t Time: 07:00 Reason

End Time: 15:00

Duration: g

Overtime Type: Before Work Schedule

3. saat ini jika lembur hingga ganti hari setelah mendapat validasi untuk end time masih belum blank jadi masih delete manual. jadi ingin di bikin auto
blank dan di mandatory in serta untuk date to nya juga ingin di mandatory in.
(untuk mandatory di sdatatablefield sudah di cek isrequirednya 1 tapi masih belum jalan)
Main

Date From: 12/08/2024 gE|  DayType: Working Day
Date To: 13/08/2024 fm Day Before Flag: YES

Start Time: 18:00 - Reason

End Time: D‘?‘:Od

Duration: 15

Overtime Type: After Work Schedule -

terima kasih

#5 - 08/12/2024 02:30 PM - Regina Tasya
- Status changed from QA Test to Assigned
- Assignee changed from jihad .... to M Azid Wahyudi

#6 - 08/27/2024 05:49 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

Dear tasya , udah bisa di test ya

package :
Bizproc (all)
custparam( WFOTRANGEOT & WFOTCEKDAYTYPE)

messagecatalog (WFOTCEKRANGEOT & OVTCEKDUROVR24)

makasih

#7 - 08/28/2024 02:07 PM - Regina Tasya

- File clipboard-202408281055-zn1ew.png added

- File clipboard-202408281342-5dy7n.png added

- File clipboard-202408281343-5juct.png added

- File clipboard-202408281345-ym2gd.png added

- File clipboard-202408281348-3xlel.png added

- File clipboard-202408281350-mwwma.png added
- File clipboard-202408281404-4edem.png added

1. kak azid untuk point dibawah ini yang dikotak merah, masih belum ada validasi dan saat ini masih bisa untuk submit dari formnya. seharusnya end
time juga dijam working day tidak boleh lembur.

Dear Mas Azid,

Mas Azid, mau dibuat validasi dong mas untuk form overtime di web dan di mobile. berikut penjelasannya:
- start time dan end time tidak boleh di jam working day kecuali pada saat day type nya OFF

contoh:

jam kerja jam 08:00 - 17:00

maka
start time tidak boleh jam 16:00
end time juga tidak boleh sampai jam 05:00 |

data test:

03/14/2025 3/9



M System Administration S

o D

Main
Date From 26/08/2024 g DavType: working Day
Date To 27/08/2024 B Day Before Flag: YES
Start Time: 17:01 - Reasaon
End Time [ 09:00 - ]
Duration: 1598
Overtime Type: After Work Schedule -
Comment
Comment:
CommentPrivate: NO -
Overtime
HOME = OVERTIME
" Submit Success
Information

Create Date: 28/08/2024 13:41:49

On Behalf: 00000001 - Jeffry Wardana

Requester |D: 00000001 - Jeffry Wardana

Request Mo: 192

WorkFlow 1D: ESS_Overtime _AJTM

WorkFlow Name: OVERTIME

2. kak untuk poin ini juga masih belum bener. seharusnya end timenya juga blank, agar requesternya bisa isi ulang lagi end time agar field
durationnya terisi. karena saat ini jika submit field durationnya kosong masih bisa submit. takutnya user lupa isi durationnya karena tidak auto load

3. saat ini Jika lembur hingga ganti han setelah mendapat validasi untuk end time masih belum blank jadi masih delete manual. jadi ingin di bikin auto blank dan di mandatory in serta
untuk date to nya juga ingin di mandatory in.
(untuk mandatory di sdatatablefield sudah di cek isrequirednya 1 tapi masih belum jalan)

Main

Date From 12/08/2024 gE DavType Working Day
data ditest: __

03/14/2025 49



Main

Date From: 26/08/2024 Day Type:

Date To: Day Before Flag: NO
Start Time: 18:10 Reason

End Time: | OD:USI |

Duration:

Overtime Type: After Work Schedule

Comment

3. Untuk poin ini juga belum ada validasi kak. jadi kalau overtime typenya before work schedule untuk endtimenya Tidak boleh melebihi batas
starttime working day tsb.

2. ini belum ada validasinya, ingin ada validasi untuk end time. harusnya tidak bisa diinput karna masih di jam kerjanya, harusnya batas end time yang bisa diinput jam terakhir

sebelum working day dimulai . contoh working day mulai di jam 08.00 maka batas terakhir untuk input end time untuk lemburnya 07:55
Date From: 12/08/2024 Day Type Working Day

Date To: 12/08/2024 Day Before Flag NO

terima kasih

#8 - 08/28/2024 02:07 PM - Regina Tasya
- Status changed from QA Test to Assigned
- Assignee changed from Regina Tasya to M Azid Wahyudi

#9 - 08/28/2024 02:34 PM - M Azid Wahyudi
note pridbadi : untuk validasi

ketika endtime kena validasi di bikin blank aja semua dan ketika input date from endtime di bikin blank
tambah vlidasi endtime juga untuk workingday hours

#10 - 08/30/2024 11:17 AM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Regina Tasya
dear tasya , udah bisa di test ya

package : custparam dan bizproc

makasih

#11 - 09/04/2024 02:34 PM - Regina Tasya

- File clipboard-202409041426-1h9s3.png added

- File clipboard-202409041428-xu9zy.png added

- File clipboard-202409041433-dedqj.png added

- Status changed from QA Test to Assigned
- Assignee changed from Regina Tasya to M Azid Wahyudi

dear mas azid,

untuk pengajuan 2x dihari yang sama dan overtime typenya sama masih bisa mengajukan.
Updated by M Azid Wahyudi 26 days ago - 7 W #3

» Status cha
= Assignee c

dear jihad , udah bisa di test ya
note : untuk validasi ini User hanya bisa membuat 2 overtime hanya kalau overtime typenya berbeda, jika sama maka tidak bisa save
sekalian aja di tambahin dikondisi2 yang baru nanti

makasih

00000004 telah mengajukan 4 kali pengajuan di tgl yang sama 2 september. yang pertama mengajukan before work, kemudian 3x mengajukan di
after work schedule. dan berhasil tapi data yg double akan nimpa saat di md nya, __

After Work Schedule NO Working Day  18:13 2119 310 18:13 2119 310 testing after work ke 3x
Before Work Schedule  NO Working Day  04:58 07:57 298 04:58 07:57 298 testing before work

seharusnya hanya bisa mengajukan 2 kali dan overtime typenya harus berbeda. mohon bantuannyaa

note: saat ini validasi yang ada ketika input di tgl yang sama, namun masih bisa create

Information b4

o Anda sudah pernah mengajukan lembur pada tanggal tersebut

terima kasih

Menu web dan mobile: Overtime
Port: http://easy.minovais.com
Server: 89

DB: MinovaES_Easy

#12 - 09/04/2024 02:36 PM - Kezia Pawitra Yulianti
- Due date changed from 08/02/2024 to 09/06/2024
- Priority changed from High to Urgent

#13 - 09/09/2024 12:21 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , udah bisa di test ya

package :

custparam (WFOTRANGEET)
bizproc (init dan method)

makaish

#14 - 09/12/2024 02:39 PM - Regina Tasya

- File clipboard-202409121434-7jrxe.png added

- File clipboard-202409121435-ikuct.png added

- File clipboard-202409121436-zucbz.png added
- File clipboard-202409121436-vwgnw.png added
- Status changed from QA Test to Assigned
- Assignee changed from Regina Tasya to M Azid Wahyudi
saat requester 00000002 mengajukan overtime,

kemudian di akun aprroval 00000001,
saat membuka inbox dan membuka pengajuan 214 muncul validasi, seharusnya validasi ini tidak muncul di akun approval.

-) Minova ES | Overtime x ne x Mino b M Time Data X

23 easy.minovais.com/Page/WorkFlowRun?WV bEtyl WERPPal vzb9PmKcC7) DCIHEFe690)g7NGUftES 1TuSG1v)B4zji 737Tv9... £ Incognito 2)

Information x

Anda sudah pernah mengajukan lembur pada tanggal tersebut

H £ Type here to search 1\‘\

kemudian saat di cek time data, padahal 00000002 tidak mempunyai data overtime

Min S ertime

C 2% easy.minovais.com/Page/p 2 /! SEOmePtGz

My WU Rpiaus
Dashboard

Financial Accounting

Employee Overview - 00000002 - Aldebaran

Employee ID: 00000002 Company ID: PT Minova Infotech Solution

Employee Administration

Full Name: Aldebaran Employee Office: lcon BSD

Employee Status: Active Organization: Divisi Commercial

Employee Type: Permanent Position: Div. Head Commercial
Import Time Data
Export Time Data

{ Personaiws Attendance Absence Quota Absence Overtime Attenda 2
Generate Work Schedule
Calendar Action Clear Filters

Generate Absence Quota Start Date EndDate OvertimeType DayBeforeFlag DayType StartPlan EndPlan PlanDuration StartTime EndTime Duration Notes

View Personal WS

Generate Personal WS

I Time Report

I Payroll Administration

Pans of i No data fo disnlay

E £ Type here to search ’.:"\

begitu juga dengan requester 00000001, yang approv 00000006. untuk req id : 215
Minova ES | Overtime ® Minova ES | Qvertime Minova ES | Workflow Report Minova ES | Time Data X + -

Cc 2% easy.minovais.com/Page/WorkFlowRun? 6RPPalz PmKcC7J DCIHEFe690)g7NGUfjDKHBAGTLmMEB4zjmHm: X & Incognite (2)

Information t 4

Anda sudah pernah mengajukan lembur pada tanggal tersebut

) R
H £ Type here to search - i J D) ongoos 6

terima kasih
Menu web dan mobile: Overtime

Port: http://easy.minovais.com
Server: 89
DB: MinovaES_Easy

#15 - 09/12/2024 04:06 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Regina Tasya

Dear tasya, udah bisa di test lagi ya

package :
bizproc(method)

makasih

#16 - 09/12/2024 04:30 PM - Regina Tasya
- Status changed from QA Test to Closed

sudah di tes

makasih kak

Files

clipboard-202408121405-jjilx.png 22.4 KB 08/12/2024 Regina Tasya
clipboard-202408121410-opwyi.png 20.7 KB 08/12/2024 Regina Tasya
clipboard-202408121424-j4esj.png 34.4 KB 08/12/2024 Regina Tasya
clipboard-202408281055-zn1ew.png 23.1 KB 08/28/2024 Regina Tasya
clipboard-202408281342-5dy7n.png 48.1 KB 08/28/2024 Regina Tasya
clipboard-202408281343-5juct.png 10.2 KB 08/28/2024 Regina Tasya
clipboard-202408281345-ym2gd.png 19.1 KB 08/28/2024 Regina Tasya
clipboard-202408281348-3xlel.png 22.9 KB 08/28/2024 Regina Tasya
clipboard-202408281350-mwwma.png 20 KB 08/28/2024 Regina Tasya
clipboard-202408281404-4edem.png 24.2 KB 08/28/2024 Regina Tasya
